Bug 83032 - OS Error : Errno 12 ( Cannot allocate memory )
OS Error : Errno 12 ( Cannot allocate memory )
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-29 13:20 EST by Jita
Modified: 2007-04-18 12:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-10 17:22:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jita 2003-01-29 13:20:16 EST
Description of problem:

I am getting OS Error : Errno 12 ( Cannot allocate memory ) during the 
installation process of redhat linux 8.0 on the existing windows machine


Any help would be greatly appreciated


Jita

*****************************************************************************


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Robert Tristram 2003-02-08 05:57:30 EST
I'm having trouble loading Redhat Linux 8.0 onto my laptop as a clean install. 
Unfortunately, when trying to save the report to floppy, it doesn't work.
 
The last line of code run before the error is:
File "/usr/lib/anaconda/iutil.py", line 66, in execWithRedirect chilpid = 
os.fork()
OS Error: [Errno 12] Cannot Allocate Memory

 
It's a Pentium MMX with 40MB RAM and 2MB HD.
 
The machine dies on the installing packages screen, before it has started to 
partition or install to the HD.
 
I'd love to get it installed if possible.
 
Thanks for your help, it's really appreciated!
 
Cheers
 
Rob
Comment 2 Craig Hockman 2003-02-08 17:19:25 EST
I am also having the same problem.  (Just so you don't think you are the only 
one) 
Set up is similar, but not identical.  Using a Pentium 100, don't think it is 
MMX, a BIOSTAR TAC0503D motherboard, 48 Meg ram, S3 Virge Video PCI adapter, 
Realtec RTL-8029 10Meg network adapter, a 2940 SCSI adapter,
10 Gig SCSI drive.  
The GUI installation process works well up to the point where everything has 
been entered, and the "Installing Packages" screen starts.  Very shortly after 
that screen comes up, the "Execption Occurred" box pops up.  The line noted in 
the original but report is the last line in that box.  
I would put the entire stack on the list, but the save to floppy does not save 
any data to the floppy disk. More information can be provided on the rest of 
the execption box data in needed. This problem is 100% reproducable.
I have tried various BIOS settings including the FAIL SAFE setting. No change, 
all combinations of hardware and BIOS have yielded the same result.  
Comment 3 Craig Hockman 2003-02-08 19:19:06 EST
Memory Memory Memory
I noticed that one of the reports had 40meg ram, I had 48 meg, so I found some 
more memory, and boosted to 64 meg.  I am now on the formatting file system 
screen. 
Comment 4 Conrad Cone 2003-02-11 09:57:56 EST
I encounterd the same or a very similar error installing 8.0 from the
CDs in the latest edition of the Red Hat Linux Bible (Wiley).
48 Mb 90Mhz Pentium; std Personal workstation but no firewall; PC currently
has an older minimal Linux installed on it. Also tried with a reduced set
of packages - same error.
Can supply transcribed traceback if desired.
Comment 5 Conrad Cone 2003-02-14 09:38:11 EST
After removing 16Mb of RAM, i.e. with 32Mb installed, Red Hat Linux 8.0
personal workstation installed without problem in text mode.
Comment 6 Mukund 2003-03-02 04:44:39 EST
i get the erro when i am trying to install red hat linux8.0 on ibm machine 
which is pIII,64mb ram.
it gives me 3 option after showing expection error window [1.debug 2.sav floopy 
3.ok] bur after pressing it gets terminated.
plz tell me what is happenng?
previously i have installed window98 on that machine and then i had installed 
linux 7.1 on that.
plz help me as early as possible.

Comment 7 William P N Smith 2003-03-03 19:29:46 EST
I'm getting the same error on a GW2K P5-200 with 48M of RAM...

Is there some minimum memory requirement?  I'll try it again with fewer options
turned on...
Comment 8 Ian Shaw 2003-03-06 09:19:47 EST
I am getting the same problem with a PIII and 64MB RAM
Comment 9 William P N Smith 2003-03-06 09:26:55 EST
FWIW, I 'solved' my problem by removing some memory (as in Conrad Cone's
suggestion), and it installed, but with only 32M of RAM it wouldn't run the GUI
installer, and the text installer missed the ethernet, so while it came up, it
wasn't useful.

Swapped the motherboard for a Celeron-400 with 96M RAM and it works fine.  [I
know, not really a solution, but I had one kicking around, and it was getting to
be a real rathole.]
Comment 10 Ian Shaw 2003-03-06 10:10:38 EST
I have added another 64MB giving me a total of 128MB and it now loads fine
Comment 11 David Lawrence 2003-03-10 00:09:49 EST
Changing product and component so proper developer will see this bug.
Comment 12 Michael Fulbright 2003-03-10 17:22:45 EST
The minimum requirement for Red Hat Linux 8.0 is 64MB.

There are some cases where this might fail if the total swap plus RAM is under
192MB total.

Note You need to log in before you can comment on or make changes to this bug.